.header {
   font-family: $mainFont;
   color: #fff;
  

   position: relative;
   &__wrapper {
      padding: 0 10px;
      min-width: 320px;
      margin: 0 auto;
      background: bottom no-repeat url(../img/header-bg.jpg);
      background-size: cover;
   }
   a {
      font-size: inherit;
      text-decoration: none;
      color: #fff;
      font-family: $mainFont;
   }
   &__top-items {
      display: flex;
      justify-content: space-between;
      align-items: center;
      position: relative;
      padding: 30px 0px;
      z-index: 2;
      margin:0 -10px;
      .logo {
         margin: 0 15px;
         text-transform: uppercase;

         span {
            display: none;
         }
      }
      .logo::before {
         content: "";
         width: 43px;
         height: 41px;
         display: block;
         background-image: url(../img/sprite.png);
      }
      .button{
         margin-right:10px;
      }
   }
   @media screen and (max-width: $mobile) {
      .header__top-items::before {
         content: "";
         z-index: -1;
         height: 100%;
         width: 100%;
         background-color: #27262a;
         top: 0;
         position: absolute;
      }
      &__menu {
         position: absolute;
         top: -250%;
         width: 100%;
         background-color: #333333;
         z-index: -2;
         transition: top 0.5s linear 0s;

         ul {
            display: flex;
            flex-direction: column;
         }

         li {
            position: relative;
            font-size: 26 / $rem * 1rem;
            padding: 30px 35px;
            list-style: none;
            border-bottom: 1px solid rgba(109, 107, 107, 0.2);
         }
      }

      &__menu.toggle-menu {
         top: 100%;
         z-index: 2;
         transition: top 0.5s linear 0s, z-index 0.5s linear 0.5s;
      }

      &__dropdown {
         position: relative;
         display: block;
         margin-right: 15px;

         span {
            position: absolute;
            right: 0;
            background-color: #fff;
            width: 50%;
            height: 3px;
            transition: all 0.5s linear 0s;
         }
         height: 26px;
         width: 30px;
      }
   }
   &__menu li:hover a {
      color: #fff;
   }
   .button:hover {
      a {
         color: #8d81ac;
      }
      background-color: #fff;
   }
   .logo:hover {
      span {
         color: #fff;
      }
      
   }
   .logo:hover::before{
      background-position: right;
   }


   &__content {
      padding: 160px 0 385px;
      display: flex;
      align-items: center;
      flex-direction: column;
      justify-content: space-between;

      position: relative;
      h1 {
         font-size: 3rem;
         font-weight: bold;
         margin: 0 0 25px;
      }
      p {
         text-align: center;
         color: #8d81ac;
         font-size: 0.85rem;
         line-height: 1rem;
         padding: 0 20px;
      }
      p:last-of-type {
         text-transform: uppercase;
         margin-top: 1rem;
      }
      #download {
         position: absolute;
         width: 100%;
         top: 100%;
         text-align: center;
         transform: translateY(-30%);
         .button {
            padding: 25px 67px;
         }
         p {
            text-transform: capitalize;
            font-size: 14 / $rem * 1rem;
            color: #848e97;
         }
      }
   }
}

.header__menu ul li::after {
   content: "";
   width: 8px;
   height: 60%;
   background-color: #8d81ac;
   position: absolute;
   top: 50%;
   left: 0;
   transform: translateY(-50%);
   opacity: 0;
}
.header__menu.toggle-menu li:hover a {
   color: #8d81ac;
}
.header__menu.toggle-menu ul li:hover:after {
   opacity: 1;
}

.header__dropdown::before,
.header__dropdown::after {
   content: "";
   position: absolute;
   background-color: #ffffff;
   width: 100%;
   height: 3px;
   left: 0;
   display: block;
   bottom: 0;
   transition: all 0.5s linear 0s;
}
.header__dropdown::before {
   top: 50%;
   transform: translateY(-50%);
}
.button {  
   
   background: #8d81ac;
   border-radius: 40px;
   padding: 11px 25px;
   border: 0;
   outline: none;
 
   

   a {
      font-weight: bold;
      text-transform: capitalize;
      font-size: 0.95rem;
      line-height: 17px;
   }
}
.header__dropdown.toggle-menu::before {
   transform: rotate(45deg);
}
.header__dropdown.toggle-menu::after {
   transform: rotate(-45deg);
   top: 50%;
}
.header__dropdown.toggle-menu span {
   transform: scale(0);
}

/***********************Media queries*****************/
@media screen and (min-width: $mobile + 1px) {
   .header {
      &__top-items {
         background-color: #27262a;
         flex-wrap: wrap;
         text-align: center;
         padding: 25px 0;

         .logo {
            display: flex;
            align-items: center;
            span {
               font-size: 24 / $rem * 1rem;
               display: inline-block;
               color: #8d81ac;
               padding: 10px;
               font-weight: bold;
            }
         }
      }  
      &__menu {
         padding: 0 20px;
         flex-basis: 100%;
         ul {
            display: flex;
            flex-direction: row;
            justify-content:space-evenly;
         }
         li {
            padding: 10px;
            a {
               font-weight: bold;
               color: #8d81ac;
            }
         }
      }
      &__dropdown {
         display: none;
      }
      #download button {
         width: 390px;
         font-size: 21 / $rem * 1rem;
      }
      &__content {
         h1 {
            font-size: 4.5rem;
            font-weight: bold;
            margin: 0 0 25px;
         }
         p {
            font-family: $subFont;
            font-size: 1.5rem;
            line-height: 26px;
         }
         p:last-of-type {
            font-size: 14 / $rem * 1rem;
            text-transform: uppercase;
            margin-top: 1rem;
         }
      }
   }
}
@media screen and (min-width: $tablet + 1px) {
   .header {
      &__top-items {
         background-color: rgba(0, 0, 0, 0);
         padding: 43px 75px;

         button {
            order: 2;
         }
      }
      &__top-items ::before {
         display: none;
      }
      &__menu {
         flex-basis: auto;
         margin: 0 0 0 auto;
         order: 1;
      }

      &__content {
         h1 {
            font-size: 82 / $rem * 1rem;
            font-weight: bold;
            margin: 0 0 25px;
            
         }
         p {
            font-family: $subFont;
            font-size: 1.9rem;
            line-height: 26px;
         }
         p:last-of-type {
            font-size: 1rem;
            text-transform: uppercase;
            margin-top: 1rem;
         }
      }
   }
}
